# $Revision: 1.13 $, $Date: 2010/06/06 08:39:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	GSL
Summary:	Math::GSL Perl module - resticted interface to GNU Scientific Library
Summary(pl.UTF-8):	Moduł Perla Math::GSL - ograniczony interfejs do GNU Scientific Library
Name:		perl-Math-GSL
Version:	0.01
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	abc4474bbbf5439b46a551284013cb35
URL:		http://search.cpan.org/dist/Math-GSL/
BuildRequires:	gsl-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::GSL Perl module is a very resticted perl interface to -lgsl -
GNU Scientific Library. Only the routines relating the solving of
polynomials are exported. It exists to provide that function to
"tkscope" in Audio::Data.

%description -l pl.UTF-8
Moduł Perla Math::GSL stanowi bardzo ograniczony interfejs do -lgsl -
Biblioteki Naukowej GNU (GNU Scientific Library). Eksportuje jedynie
funkcje dotyczące rozwiązywania równań wielomianowych. Istnieje, aby
udostępnić te funkcje "tkscope" w module Audio::Data.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Math/*
%dir %{perl_vendorarch}/auto/Math/GSL
%{perl_vendorarch}/auto/Math/GSL/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/GSL/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-GSL.spec,v $
Revision 1.13  2010/06/06 08:39:13  arekm
- release 4

Revision 1.12  2008/03/24 16:11:15  qboosh
- BR: gsl-devel

Revision 1.11  2008-03-24 16:07:52  qboosh
- generic URL

Revision 1.10  2008-02-10 12:15:06  arekm
- rel 3

Revision 1.9  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.6  2004/11/03 22:30:34  paladine
- formatting

Revision 1.5  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.4  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.3  2004/04/23 07:50:17  ankry
- license fixes, unification

Revision 1.2  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.1  2003/07/08 21:53:25  ankry
- new, rel. 2
